Package org.eclipse.emf.spi.cdo

# Interface InternalCDOObject

All Superinterfaces:
  `CDOObject`, `CDOPackageTypeRegistry.CDOObjectMarker`, `CDOWithID`, `EObject`, `InternalCDOLoadable`, `InternalEObject`, `Notifier`

All Known Implementing Classes:
  `AccessImpl`, `AndFilterImpl`, `AnnotationImpl`, `AssemblyImpl`, `AssemblyModuleImpl`, `AssigneeImpl`, `BaselineImpl`, `BooleanValueImpl`, `ByteValueImpl`, `CDOBinaryResourceImpl`, `CDOFileResourceImpl`, `CDOObjectImpl`, `CDOResourceFolderImpl`, `CDOResourceImpl`, `CDOResourceLeafImpl`, `CDOResourceNodeImpl`, `CDOTextResourceImpl`, `ChangeImpl`, `CharValueImpl`, `ClassFilterImpl`, `ClassPermissionImpl`, `CombinedFilterImpl`, `CommentImpl`, `ContainedObjectImpl`, `ContextAccessImpl`, `DeliveryImpl`, `DeliveryReviewImpl`, `DependencyDefinitionImpl`, `DependencyImpl`, `DirectoryImpl`, `DoubleValueImpl`, `DropImpl`, `DropReviewImpl`, `DropTypeImpl`, `ExpressionFilterImpl`, `FilterPermissionImpl`, `FixedBaselineImpl`, `FloatingBaselineImpl`, `FloatValueImpl`, `FunctionInvocationImpl`, `GroupImpl`, `IntValueImpl`, `InvocationImpl`, `LinkedExpressionImpl`, `LinkedFilterImpl`, `LinkedObjectImpl`, `ListConstructionImpl`, `LMFilterImpl`, `LongValueImpl`, `MemberAccessImpl`, `MemberInvocationImpl`, `ModelElementImpl`, `ModuleDefinitionImpl`, `ModuleFilterImpl`, `ModuleImpl`, `ModuleTypeFilterImpl`, `ModuleTypeImpl`, `NotFilterImpl`, `ObjectFilterImpl`, `ObjectPermissionImpl`, `OrFilterImpl`, `PackageFilterImpl`, `PackagePermissionImpl`, `PermissionFilterImpl`, `PermissionImpl`, `ProcessElementImpl`, `ProcessImpl`, `RealmImpl`, `ResourceFilterImpl`, `ResourcePermissionImpl`, `ReviewImpl`, `ReviewTemplateImpl`, `RoleImpl`, `SecurityElementImpl`, `SecurityItemImpl`, `ShortValueImpl`, `StaticAccessImpl`, `StreamImpl`, `StringToStringMapEntryImpl`, `StringValueImpl`, `SystemImpl`, `TopicContainerImpl`, `TopicImpl`, `UserImpl`, `UserPasswordImpl`, `ValueImpl`

public interface InternalCDOObject extends CDOObject, InternalEObject, InternalCDOLoadable, CDOPackageTypeRegistry.CDOObjectMarker
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`InternalCDOClassInfo`
`cdoClassInfo()`
`EStructuralFeature`
`cdoInternalDynamicFeature(int dynamicFeatureID)`
Deprecated.
As of 4.2 no longer supported.
`InternalEObject`
`cdoInternalInstance()`
`void`
`cdoInternalPostAttach()`
`void`
`cdoInternalPostDetach(boolean remote)`
Deprecated.
As of 4.16 `cdoInternalPostDetach(boolean, boolean)` is called by the `CDOStateMachine`.
`void`
`cdoInternalPostDetach(boolean remote, boolean top)`
`void`
`cdoInternalPostInvalidate()`
`void`
`cdoInternalPostRollback()`
`void`
`cdoInternalPreAttach()`
`void`
`cdoInternalPreCommit()`
`void`
`cdoInternalSetID(CDOID id)`
`void`
`cdoInternalSetRevision(CDORevision revision)`
`CDOState`
`cdoInternalSetState(CDOState state)`
`void`
`cdoInternalSetView(CDOView view)`
`InternalCDORevision`
`cdoRevision()`
Returns the `revision` of this object, or `null` if this object does currently not have a revision.
`InternalCDORevision`
`cdoRevision(boolean loadOnDemand)`
Returns the `revision` of this object, or `null` if this object does currently not have a revision and loadOnDemand is `false`.
`InternalCDOView`
`cdoView()`
Returns the `view` this object is associated with, or `null` if this object is not associated with a view.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOLoadable

`cdoInternalPostLoad, cdoInternalPreLoad`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### cdoClassInfo

InternalCDOClassInfo cdoClassInfo()

Since:
  4.2

### cdoView

InternalCDOView cdoView()
Description copied from interface: `CDOObject`
Returns the `view` this object is associated with, or `null` if this object is not associated with a view. This view manages all aspects of this object and cahces it as long as required.

Specified by:
  `cdoView` in interface `CDOObject`

### cdoRevision

InternalCDORevision cdoRevision()
Description copied from interface: `CDOObject`
Returns the `revision` of this object, or `null` if this object does currently not have a revision. The revision is used to store all modeled data of this object, together with some technical data required by the framework.

Specified by:
  `cdoRevision` in interface `CDOObject`

### cdoRevision

InternalCDORevision cdoRevision(boolean loadOnDemand)
Description copied from interface: `CDOObject`
Returns the `revision` of this object, or `null` if this object does currently not have a revision and loadOnDemand is `false`. The revision is used to store all modeled data of this object, together with some technical data required by the framework.

Specified by:
  `cdoRevision` in interface `CDOObject`
Since:
  4.3

### cdoInternalPreAttach

void cdoInternalPreAttach()

Since:
  4.8

### cdoInternalPostAttach

void cdoInternalPostAttach()

### cdoInternalPostDetach

void cdoInternalPostDetach(boolean remote, boolean top)

Since:
  4.15

### cdoInternalPostInvalidate

void cdoInternalPostInvalidate()

### cdoInternalPostRollback

void cdoInternalPostRollback()

Since:
  3.0

### cdoInternalPreCommit

void cdoInternalPreCommit()

### cdoInternalSetID

void cdoInternalSetID(CDOID id)

### cdoInternalSetView

void cdoInternalSetView(CDOView view)

### cdoInternalSetRevision

void cdoInternalSetRevision(CDORevision revision)

### cdoInternalSetState

CDOState cdoInternalSetState(CDOState state)

### cdoInternalInstance

InternalEObject cdoInternalInstance()

### cdoInternalDynamicFeature

@Deprecated EStructuralFeature cdoInternalDynamicFeature(int dynamicFeatureID)
Deprecated.
As of 4.2 no longer supported.

### cdoInternalPostDetach

@Deprecated void cdoInternalPostDetach(boolean remote)
Deprecated.
As of 4.16 `cdoInternalPostDetach(boolean, boolean)` is called by the `CDOStateMachine`.